org.sqlite

## Class ExtendedCommand

- java.lang.Object
- - org.sqlite.ExtendedCommand

    public class ExtendedCommand
    extends Object

parsing SQLite specific extension of SQL command

Author:
  leo

### Nested Class Summary

Nested Classes
`static class` `ExtendedCommand.BackupCommand`
`static class` `ExtendedCommand.RestoreCommand`
`static interface` `ExtendedCommand.SQLExtension`

### Constructor Summary

Constructors
Constructor and Description
`ExtendedCommand()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExtendedCommand.SQLExtension` `parse(String sql)` Parses extended commands of "backup" or "restore" for SQLite database.
`static String` `removeQuotation(String s)` Remove the quotation mark from string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedCommand

    public ExtendedCommand()

### Method Detail

#### parse

    public static ExtendedCommand.SQLExtension parse(String sql)
                                              throws SQLException

Parses extended commands of "backup" or "restore" for SQLite database.

Parameters:
  `sql` - One of the extended commands:
  backup sourceDatabaseName to destinationFileName OR restore targetDatabaseName from sourceFileName
Returns:
  BackupCommand object if the argument is a backup command; RestoreCommand object if the argument is a restore command;
Throws:
  `SQLException`

#### removeQuotation

    public static String removeQuotation(String s)

Remove the quotation mark from string.

Parameters:
  `s` - String with quotation mark.
Returns:
  String with quotation mark removed.